[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.Close

Close the dataset

## Declaration

Source position: db.pas line 1555

`public procedure TDataSet.Close;`

## Description

Close closes the dataset if it is open (Active=True). This action triggers the TDataset.OnBeforeClose and TDataset.OnAfterClose events. If the dataset is not active, nothing happens.

## Errors

If an exception occurs during the closing of the dataset, the OnAfterClose event will not be triggered.

## See also

TDataset.Active |  | Is the dataset open or closed.
TDataset.Open |  | Activate the dataset: Fetch data into memory.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .